aimldocs

Apps

the app registry and its attribution

GET
/v1/apps
AuthorizationBearer <token>

In: header

Query Parameters

cursor?string
limit?integer
Rangevalue <= 200

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/apps"
{  "object": "list",  "data": [    {      "id": "app_01J9ZK2K4Q7Q3M3QX1V0F1APP1",      "slug": "my-chatbot",      "name": "My Chatbot",      "category": "chat",      "listed": true,      "created_at": "2026-09-01T10:05:00Z",      "updated_at": "2026-09-01T10:05:00Z"    }  ],  "next_cursor": ""}
POST
/v1/apps
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/apps" \  -H "Content-Type: application/json" \  -d '{    "slug": "my-chatbot",    "name": "My Chatbot",    "category": "chat",    "url": "https://mychatbot.example",    "listed": true  }'
{  "id": "app_01J9ZK2K4Q7Q3M3QX1V0F1APP1",  "slug": "my-chatbot",  "name": "My Chatbot",  "category": "chat",  "url": "https://mychatbot.example",  "listed": true,  "created_at": "2026-09-01T10:05:00Z",  "updated_at": "2026-09-01T10:05:00Z"}
GET
/v1/apps/{id}
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/apps/string"
{  "id": "app_01J9ZK2K4Q7Q3M3QX1V0F1APP1",  "slug": "my-chatbot",  "name": "My Chatbot",  "category": "chat",  "listed": true,  "created_at": "2026-09-01T10:05:00Z",  "updated_at": "2026-09-01T10:05:00Z"}
PATCH
/v1/apps/{id}
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PATCH "https://example.com/v1/apps/string" \  -H "Content-Type: application/json" \  -d '{    "listed": false  }'
{  "id": "app_01J9ZK2K4Q7Q3M3QX1V0F1APP1",  "slug": "my-chatbot",  "name": "My Chatbot",  "category": "chat",  "listed": false,  "created_at": "2026-09-01T10:05:00Z",  "updated_at": "2026-09-02T10:05:00Z"}
DELETE
/v1/apps/{id}
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Response Body

application/json

curl -X DELETE "https://example.com/v1/apps/string"
Empty